const { MessageEmbed } = require("discord.js");
const db = require("quick.db");

module.exports = {
   
        name: "addmoney",
        aliases: ["am"],
        category: "economy",
        description: "Adds Money to a user",
        usage: "[ mention | ID]",
        accessableby: "Administrator, Owner"
    ,
    run: async (bot, message, args) => {
        if (!message.member.hasPermission("ADMINISTRATOR")) return message.channel.send("❌ Sie haben keine Berechtigung zum Hinzufügen von Geld!  - [ADMINISTRATOR]");
        if (!args[0]) return message.channel.send("**Bitte geben Sie einen Benutzer ein!**")

        let user = message.mentions.members.first() || message.guild.members.cache.get(args[0]) || message.guild.members.cache.find(r => r.user.username.toLowerCase() === args[0].toLocaleLowerCase()) || message.guild.members.cache.find(r => r.displayName.toLowerCase() === args[0].toLocaleLowerCase());
        if (!user) return message.channel.send("**Geben Sie einen gültigen Benutzer ein!**")
        if (!args[1]) return message.channel.send("**Bitte geben Sie einen Betrag ein!**")
        if (isNaN(args[1])) return message.channel.send(`**❌ Ihr Betrag ist keine Zahl!**`);
        if (args[0] > 10000) return message.channel.send("**So viel Betrag kann nicht hinzugefügt werden!**")
        db.add(`money_${user.id}`, args[1])
        let bal = db.fetch(`money_${user.id}`)

        let moneyEmbed = new MessageEmbed()
            .setColor("GREEN")
            .setDescription(`✅ Added ${args[1]} coins\n\nNew Balance: ${bal}`);
        message.channel.send(moneyEmbed)

    }
}