const { MessageEmbed }= require("discord.js");
const db = require("quick.db");

module.exports = {
    
        name: "removemoney",
        aliases: ["rm"],
        category: "economy",
        description: "Entfernt Geld von einem Benutzer",
        usage: "[ mention | ID]",
        accessableby: "Administrator, Owner"
    ,
    run: async (bot, message, args) => {
        if (!message.member.hasPermission("ADMINISTRATOR", "MANAGE_GUILD")) return message.channel.send("❌ Sie sind nicht berechtigt, Geld zu entfernen!");
        if (!args[0]) return message.channel.send("**Bitte geben Sie einen Benutzer ein!**")

        let user = message.mentions.members.first() || message.guild.members.cache.get(args[0]) || message.guild.members.cache.find(r => r.user.username.toLowerCase() === args[0].toLocaleLowerCase()) || message.guild.members.cache.find(r => r.displayName.toLowerCase() === args[0].toLocaleLowerCase());
        if (!user) return message.channel.send("**Bitte geben Sie einen gültigen Benutzer ein!**")

        if (!args[1]) return message.channel.send("**Bitte geben Sie einen Betrag ein!**")
        if (isNaN(args[1])) return message.channel.send("**Gültigen Betrag eingeben!**");
        let bal = await db.fetch(`money_${user.id}`)

        if (args[0] > bal) return message.channel.send("**So viel Geld kann nicht entfernt werden!**")
        db.subtract(`money_${user.id}`, args[1])
        let bal2 = await db.fetch(`money_${user.id}`)

        let moneyEmbed = new MessageEmbed()
            .setColor("GREEN")
            .setDescription(`✅ ${args[1]} Münzen entfernt\n\nNeues Guthaben: ${bal2}`);
        message.channel.send(moneyEmbed)

    }
}